
Jupiter - Zadanie #1590
komponent do wyszukiwania dokumentów
2017-03-07 15:24 - Łukasz Waśkiewicz

Status: Rozwiązany Start date: 2017-05-15
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Tester: Michał Komar
Description

chwilowo wyszukanie po nazwie w infonie i naszym storage
oraz mergowanie wyników

Subtasks:
Błąd # 1684: Błędy podczas dodawania/edycji użytkownika Zamknięty
Błąd # 1704: Bład podczas usuwania dokumentów w podwójnej tabeli Zamknięty
Related issues:
Related to Jupiter - Zadanie # 1556: Utworzenie serwisu do zarządzania wydawn... Zamknięty 2017-02-09
Related to Jupiter - Zadanie # 1554: Serwis do zarządzania użytkownikami Zamknięty 2017-02-03 2017-02-03
Related to Jupiter - Zadanie # 1581: Ekran do wyświetlania listy użytkowników Zamknięty 2017-02-23

Associated revisions
Revision 48a714bc - 2017-03-07 15:25 - Łukasz Waśkiewicz

refs #1590 wyszukanie po nazwie w infonie

Revision 26df79cf - 2017-03-08 08:54 - Łukasz Waśkiewicz

refs #1590 korekta kryteriów

Revision a2fa4985 - 2017-03-10 09:52 - Łukasz Waśkiewicz

refs #1590 korekta konfiguracji tsconfig

Revision 393db854 - 2017-03-10 09:52 - Łukasz Waśkiewicz

refs #1590 base dialog service

Revision f336a4cd - 2017-03-10 10:36 - Łukasz Waśkiewicz

refs #1590 compile fix

Revision 0af6aa17 - 2017-03-10 10:58 - Łukasz Waśkiewicz

refs #1590 compile fix
Revision f541b834 - 2017-03-13 10:21 - Łukasz Waśkiewicz

refs #1590 dostęp do listy dokumentów z wydawcy

Revision d0bbd06f - 2017-03-13 10:21 - Łukasz Waśkiewicz

refs #1590 zmiana API dla documentService

Revision c6a33fc7 - 2017-03-13 10:39 - Łukasz Waśkiewicz

refs #1590 rename methods fetch... to find...

Revision 3b0de82e - 2017-03-13 18:28 - Łukasz Waśkiewicz

refs #1590 pobieranie listy przypisanych dokumentów

Revision 0c6d55df - 2017-03-13 18:34 - Łukasz Waśkiewicz

refs #1590 pobieranie listy przypisanych dokumentów

Revision 78b2c5e9 - 2017-03-14 09:25 - Łukasz Waśkiewicz

refs #1590 pobieranie listy przypisanych dokumentów

Revision db6e7f17 - 2017-03-14 09:30 - Łukasz Waśkiewicz

refs #1590 wyszukiwanie

Revision f18b0168 - 2017-03-15 10:01 - Łukasz Waśkiewicz

refs #1590 poprawienie pobierania stron

Revision 74bbf054 - 2017-03-15 12:36 - Łukasz Waśkiewicz

refs #1556 #1590 ugenerycznienie komponentu do listy dokumentów

Revision 8adacc43 - 2017-04-28 09:15 - Łukasz Waśkiewicz

refs #1590 #1556 ostylowanie przesunięcie przycisków

Revision c223cf40 - 2017-05-11 14:07 - Łukasz Waśkiewicz

refs #1590 poprawki UI

2024-05-19 2/5



Revision 3f27a08f - 2017-05-11 14:07 - Łukasz Waśkiewicz

refs #1590 poprawka pagowania

Revision e25f7493 - 2017-05-15 13:43 - Michał Komar

refs #1590: Poprawienie page'owania w nowej wersji datatable

Revision f2ccb932 - 2017-05-16 08:12 - Michał Komar

refs #1590: Poprawienie testów integracyjnych

Revision f77b944c - 2017-05-22 12:34 - Łukasz Waśkiewicz

refs #1590 zbędne logowanie

Revision 9d76c121 - 2017-05-22 12:34 - Łukasz Waśkiewicz

refs #1590 wyrównanie tabel

Revision 9a6183f6 - 2017-05-24 11:00 - Łukasz Waśkiewicz

refs #1590 poprawa zapytań przy braku dokumentów

History
#1 - 2017-03-07 15:24 - Łukasz Waśkiewicz
- Related to Zadanie #1556: Utworzenie serwisu do zarządzania wydawnictwami added

#2 - 2017-03-07 15:24 - Łukasz Waśkiewicz
- Related to Zadanie #1554: Serwis do zarządzania użytkownikami added

#3 - 2017-03-07 15:25 - Łukasz Waśkiewicz
- Status changed from Nowy to W toku

#4 - 2017-03-13 14:19 - Michał Komar
- Category set to ui
- Target version set to 0.3

#5 - 2017-03-13 14:50 - Michał Komar
- Related to Zadanie #1581: Ekran do wyświetlania listy użytkowników added

#6 - 2017-03-13 14:51 - Michał Komar

Komponent trzeba też zapiąć do formularza edycji użytkowników
#7 - 2017-03-24 16:00 - Łukasz Waśkiewicz
- Status changed from W toku to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

serwis zrobiony

#8 - 2017-04-05 13:59 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Patrz #1556

#9 - 2017-04-28 09:16 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- % Done changed from 0 to 100

ostylowany i lekko przerobiony

#10 - 2017-05-09 11:03 - Michał Komar
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Trzeba poprawić zgodnie z uwagami.

#11 - 2017-05-11 14:10 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to W toku

poprawki
    -  zmiana przycisków
    -  ograniczenie w prawej tabeli do 10 elementów
    -  przycisk wyszukania i wyszukanie przy 3+ znakach
    -  pagowanie po lewej stronie
    -  taby (strona wydawców i użytkowników)

zostało wyrównanie obu tabel

#12 - 2017-05-22 12:37 - Łukasz Waśkiewicz
- Status changed from W toku to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

skończone
#13 - 2017-05-31 14:05 - Michał Komar
- Status changed from Testowanie to Rozwiązany

#14 - 2017-05-31 14:06 - Michał Komar
- Status changed from Rozwiązany to Testowanie

#15 - 2017-06-22 11:52 - Michał Komar
- Status changed from Testowanie to Odpowiedź

Przepinam zgodnie z ustaleniami z dzisiejszego spotkania

#16 - 2017-06-22 11:52 - Michał Komar
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

#17 - 2017-06-22 13:32 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

#18 - 2017-06-28 11:56 - Michał Komar
- Status changed from Testowanie to Rozwiązany
